/*
	接口统一管理
*/
const apiurl = {
	// 测试
	testApi: '/test/test',
	// 手机登录验证码
	phoneLoginCodeUrl:'/auth/sendSmsCode',
	// 手机登录验证码验证
	phoneLoginAuthUrl:'/auth/verifyCode',
	// 获取条款须知
	// 首页轮播
	indexBannerListUrl:'/sysadv/list',
	getSystermsApi: '/systerms/getByType/',
	// 首页新闻列表
	indexNewsList: '/sec/article/door/list',
	// 新闻详情
	newsDetailsUrl:'/sec/article/door/info',
	// 政策法规详情
	policyNewsDetailsUrl:'/policy/article/door/info',
	// 提交申请材料 认证
	veteEducUrl:'/veteEduc',
	//认证状态查询
	veteEducCheckUrl:'/veteEduc/check',
	// 我的详细信息
	memberinfoUrl:'/memberinfo',
	// 政策法规列表
	policyNewsListUrl: '/policy/article/door/list',
	// 枚举值key查询
	dictdataUrl: '/sys/dictdata',
	// 适应性培训课程列表
	adaptTrainOnlineUrl: '/adaptTrainOnline/list',
	// 适应性培训课程详情
	adaptTrainOnlineDetailsUrl: '/adaptTrainOnline/',
	// 适应性培训学习进度
	adaptTrainOnlineRateUrl: '/adaptTrainOnline/study',
	// 上传适应性培训视频播放情况
	upAdaptTrainOnlineInfoUrl: '/adaptTrainOnline/duration',
	// 适应性培训线下内容
	adaptTrainOfflineUrl: '/adaptTrainOffline/new/offline',
	// 查询线下培训详情
	adaptTrainIdOfflineUrl: '/adaptTrainOffline/',
	// 页面点击统计
	analysisUrl: '/sys/analysis',
	// 线下培训签到
	signOfflineUrl: '/adaptTrainOffline/sign',
	// 根据身份证号读取信息
	getIdInfoUrl: '/veteEduc/idcard/',
	// 合作学校分页数据
	getSchoolListUrl: '/school/list',
	// 修改用户信息
	modifyUserInfoUrl: '/memberinfo',
	
	// 学院模块
	school: {
		// 合作学校分页数据
		getSchoolListUrl: '/school/list',
		// 获取学院详情
		getSchoolDetailsUrl: '/school/getDetail/',
		// 获取专业详情
		getProfessonDetailsUrl: '/school/getProfessonDetail/'
	},
  
	// 公司模块
	company: {
		// 公司列表
		getCompanyListUrl: '/company/list',
		// 公司详情
		getCompanyDetailsUrl: '/company/getDetail/',
		// 岗位列表
		getCompanyPostListUrl: '/companypost/list/',
		// 岗位详情
		getPostDetailsUrl: '/companypost/getDetail/',
		// 投递简历
		deliveryResumeUrl: '/delivery/add',
		// 判断是否已投递
		judgeIsSubmitUrl: '/delivery/queryIsDelivered/'
	},
  
  /**
   * 政策资讯模块
   */
  policyInfo: {
    // 政策资讯列表
    getPolicyInfoListUrl: '/policy/article/door/list',
    // 政策资讯详情
    getPolicyInfoDetailsUrl: '/policy/article/door/info'
  },
	
	// 我的投递
	delivery: {
		deliveryListUrl: '/delivery/myDeliveredList'
	},
  
  /**
   * 招聘就业模块
   */
  recruitment: {
    // 企业推荐列表
    getRecommendListUrl: '/company/queryRecommendList',
    // 招聘就业岗位列表
    getRecruitmentJobListUrl: '/companypost/pageList',
    // 岗位详情
    getJobDetailsUrl: '/companypost/getDetail'
  },
	/**
	 * 我的面试
	 */
	interview: {
		// 我的面试列表
		getInterviewListUrl: '/delivery/myInterviewList'
	},
	/**
	 * 我的简历
	 */
	resume: {
		// 保存求职意向
		submitJobIntentionUrl: '/memberinfo/saveJobIntention',
		// 保存自我评价
		submitSelfAssessmentUrl: '/memberinfo/saveSelfAssessment'
	},
	/**
	 * 我的评价
	 */
	evaluation: {
		// 获取我的评价列表
		getEvaluationListUrl: ''
	},
	/**
	 * 我的
	 */
	mine: {
		// 提交就业情况
		employmentConditionUrl: '/employmentcollect',
		// 查询积分统计
		totalCountUrl: '/integral/count',
		// 积分列表
		integralListUrl: '/integral/list'
	},
	/**
	 * 
	 */
	training: {
		// 获取线上课程列表
		getOnlineListurl: '/adaptTrainOnline/queryList',
		// 课程状态
		getOnlineStatusUrl: '/adaptTrainOnline/queryStatus',
		// 课程详情
		getOnlineDetailsUrl: '/adaptTrainOnline/',
		// 保存课程播放时长
		videoTimeLongUrl: '/adaptTrainOnline/duration',
		// 获取课程评论
		getClassesCommentUrl: '/coursecomment',
		// 添加评论
		addClassesCommentUrl: '/coursecomment',
		// 线下课程
		getOfflineListUrl: '/adaptTrainOffline/queryList',
		// 获取线下课程详情
		getOfflineDetailsUrl: '/adaptTrainOffline/getDetail/'
	}
}

export {
	apiurl
}